


cap program drop delta_method
program delta_method, rclass

	syntax [, model(string)]
	
	
	//under nested logit, assume CBDC and deposit are in one nest
	if "`model'" ==  "nest_d_cbdc" {
		
		local tau_d = $tau
			
		////////////shares 
		//note that xb (fitted value) is changed due to banks' endogenous response
		//derivative of each household's CBDC share wrt each coefficient b_`num' multiplied by wealth fraction w_i/w
		qui gen double db${num}_as_CBDC = (exp(dif_Vcbdc_Vd_${iter}/`tau_d')*(z${num}_${iter}/`tau_d')/(1 + factor_${iter}*exp(-xb) + exp(dif_Vcbdc_Vd_${iter}/`tau_d')) - exp(dif_Vcbdc_Vd_${iter}/`tau_d')*((1-`tau_d')*(1 + exp(dif_Vcbdc_Vd_${iter}/`tau_d'))^(-`tau_d')*exp(dif_Vcbdc_Vd_${iter}/`tau_d')*(z${num}_${iter}/`tau_d')*exp(-xb) + factor_${iter}*exp(-xb)*(-${x}) + exp(dif_Vcbdc_Vd_${iter}/`tau_d')*(z${num}_${iter}/`tau_d'))/(1 + factor_${iter}*exp(-xb) + exp(dif_Vcbdc_Vd_${iter}/`tau_d'))^2)*wealth_frac if sample == 1 
		
		//derivative of each household's new cash share wrt each coefficient b_${num} multiplied by wealth fraction w_i/w
		qui gen double db${num}_as_cash = (((1-`tau_d')*(1 + exp(dif_Vcbdc_Vd_${iter}/`tau_d'))^(-`tau_d')*exp(dif_Vcbdc_Vd_${iter}/`tau_d')*(z${num}_${iter}/`tau_d')*exp(-xb) + factor_${iter}*exp(-xb)*(-${x}))/(1 + factor_${iter}*exp(-xb) + exp(dif_Vcbdc_Vd_${iter}/`tau_d')) - factor_${iter}*exp(-xb)*((1-`tau_d')*(1 + exp(dif_Vcbdc_Vd_${iter}/`tau_d'))^(-`tau_d')*exp(dif_Vcbdc_Vd_${iter}/`tau_d')*(z${num}_${iter}/`tau_d')*exp(-xb) + factor_${iter}*exp(-xb)*(-${x}) + exp(dif_Vcbdc_Vd_${iter}/`tau_d')*(z${num}_${iter}/`tau_d'))/(1 + factor_${iter}*exp(-xb) + exp(dif_Vcbdc_Vd_${iter}/`tau_d'))^2)*wealth_frac if sample == 1 
		
		//derivative of each household's new deposit share wrt each coefficient b_${num} multiplied by wealth fraction w_i/w
		qui gen double db${num}_as_dep = (- ((1-`tau_d')*(1 + exp(dif_Vcbdc_Vd_${iter}/`tau_d'))^(-`tau_d')*exp(dif_Vcbdc_Vd_${iter}/`tau_d')*(z${num}_${iter}/`tau_d')*exp(-xb) + factor_${iter}*exp(-xb)*(-${x}) + exp(dif_Vcbdc_Vd_${iter}/`tau_d')*(z${num}_${iter}/`tau_d'))/(1 + factor_${iter}*exp(-xb) + exp(dif_Vcbdc_Vd_${iter}/`tau_d'))^2)*wealth_frac if sample == 1 
		
		
		///////////percentage change in deposit or cash
		//derivative of each household's change in deposit relative to deposit before CBDC issuance wrt the coefficient b_${num} multiplied by 100 to get percentage terms
		qui gen double db${num}_d_dep = (exp(-xb)*(-${x})/(1 + factor_${iter}*exp(-xb) + exp(dif_Vcbdc_Vd_${iter}/`tau_d')) - (1 + exp(-xb))*((1-`tau_d')*(1 + exp(dif_Vcbdc_Vd_${iter}/`tau_d'))^(-`tau_d')*exp(dif_Vcbdc_Vd_${iter}/`tau_d')*(z${num}_${iter}/`tau_d')*exp(-xb) + factor_${iter}*exp(-xb)*(-${x}) + exp(dif_Vcbdc_Vd_${iter}/`tau_d')*(z${num}_${iter}/`tau_d'))/(1 + factor_${iter}*exp(-xb) + exp(dif_Vcbdc_Vd_${iter}/`tau_d'))^2)*100  if sample == 1 
		
		//derivative of each household's change in cash relative to cash before CBDC issuance wrt the coefficient b_${num} multiplied by 100 to get percentage terms
		qui gen double db${num}_d_cash = (((1 + exp(-xb))*(1-`tau_d')*(1 + exp(dif_Vcbdc_Vd_${iter}/`tau_d'))^(-`tau_d')*exp(dif_Vcbdc_Vd_${iter}/`tau_d')*(z${num}_${iter}/`tau_d') + factor_${iter}*exp(-xb)*(-${x}))/(1 + factor_${iter}*exp(-xb) + exp(dif_Vcbdc_Vd_${iter}/`tau_d')) - factor_${iter}*(1 + exp(-xb))*((1-`tau_d')*(1 + exp(dif_Vcbdc_Vd_${iter}/`tau_d'))^(-`tau_d')*exp(dif_Vcbdc_Vd_${iter}/`tau_d')*(z${num}_${iter}/`tau_d')*exp(-xb) + factor_${iter}*exp(-xb)*(-${x}) + exp(dif_Vcbdc_Vd_${iter}/`tau_d')*(z${num}_${iter}/`tau_d'))/(1 + factor_${iter}*exp(-xb) + exp(dif_Vcbdc_Vd_${iter}/`tau_d'))^2)*100 if sample == 1 	
		
		//////percentage point change in level  - not used in paper
		qui gen double db${num}_dl_CBDC = ((exp(dif_Vcbdc_Vd_${iter}/`tau_d')*(z${num}_${iter}/`tau_d')/(1 + factor_${iter}*exp(-xb) + exp(dif_Vcbdc_Vd_${iter}/`tau_d')) - exp(dif_Vcbdc_Vd_${iter}/`tau_d')*((1-`tau_d')*(1 + exp(dif_Vcbdc_Vd_${iter}/`tau_d'))^(-`tau_d')*exp(dif_Vcbdc_Vd_${iter}/`tau_d')*(z${num}_${iter}/`tau_d')*exp(-xb) + factor_${iter}*exp(-xb)*(-${x}) + exp(dif_Vcbdc_Vd_${iter}/`tau_d')*(z${num}_${iter}/`tau_d'))/(1 + factor_${iter}*exp(-xb) + exp(dif_Vcbdc_Vd_${iter}/`tau_d'))^2) - (exp(dif_Vcbdc_Vd_${base}/`tau_d')*(z${num}_${base}/`tau_d')/(1 + factor_${base}*exp(-xb) + exp(dif_Vcbdc_Vd_${base}/`tau_d')) - exp(dif_Vcbdc_Vd_${base}/`tau_d')*((1-`tau_d')*(1 + exp(dif_Vcbdc_Vd_${base}/`tau_d'))^(-`tau_d')*exp(dif_Vcbdc_Vd_${base}/`tau_d')*(z${num}_${base}/`tau_d')*exp(-xb) + factor_${base}*exp(-xb)*(-${x}) + exp(dif_Vcbdc_Vd_${base}/`tau_d')*(z${num}_${base}/`tau_d'))/(1 + factor_${base}*exp(-xb) + exp(dif_Vcbdc_Vd_${base}/`tau_d'))^2))*wealth_frac if sample == 1 
		
		
		qui gen double db${num}_dl_cash = ((((1-`tau_d')*(1 + exp(dif_Vcbdc_Vd_${iter}/`tau_d'))^(-`tau_d')*exp(dif_Vcbdc_Vd_${iter}/`tau_d')*(z${num}_${iter}/`tau_d')*exp(-xb) + factor_${iter}*exp(-xb)*(-${x}))/(1 + factor_${iter}*exp(-xb) + exp(dif_Vcbdc_Vd_${iter}/`tau_d')) - factor_${iter}*exp(-xb)*((1-`tau_d')*(1 + exp(dif_Vcbdc_Vd_${iter}/`tau_d'))^(-`tau_d')*exp(dif_Vcbdc_Vd_${iter}/`tau_d')*(z${num}_${iter}/`tau_d')*exp(-xb) + factor_${iter}*exp(-xb)*(-${x}) + exp(dif_Vcbdc_Vd_${iter}/`tau_d')*(z${num}_${iter}/`tau_d'))/(1 + factor_${iter}*exp(-xb) + exp(dif_Vcbdc_Vd_${iter}/`tau_d'))^2)  -  (((1-`tau_d')*(1 + exp(dif_Vcbdc_Vd_${base}/`tau_d'))^(-`tau_d')*exp(dif_Vcbdc_Vd_${base}/`tau_d')*(z${num}_${base}/`tau_d')*exp(-xb) + factor_${base}*exp(-xb)*(-${x}))/(1 + factor_${base}*exp(-xb) + exp(dif_Vcbdc_Vd_${base}/`tau_d')) - factor_${base}*exp(-xb)*((1-`tau_d')*(1 + exp(dif_Vcbdc_Vd_${base}/`tau_d'))^(-`tau_d')*exp(dif_Vcbdc_Vd_${base}/`tau_d')*(z${num}_${base}/`tau_d')*exp(-xb) + factor_${base}*exp(-xb)*(-${x}) + exp(dif_Vcbdc_Vd_${base}/`tau_d')*(z${num}_${base}/`tau_d'))/(1 + factor_${base}*exp(-xb) + exp(dif_Vcbdc_Vd_${base}/`tau_d'))^2))*wealth_frac if sample == 1 
		
										
		qui gen double db${num}_dl_dep =  ((- ((1-`tau_d')*(1 + exp(dif_Vcbdc_Vd_${iter}/`tau_d'))^(-`tau_d')*exp(dif_Vcbdc_Vd_${iter}/`tau_d')*(z${num}_${iter}/`tau_d')*exp(-xb) + factor_${iter}*exp(-xb)*(-${x}) + exp(dif_Vcbdc_Vd_${iter}/`tau_d')*(z${num}_${iter}/`tau_d'))/(1 + factor_${iter}*exp(-xb) + exp(dif_Vcbdc_Vd_${iter}/`tau_d'))^2) - (- ((1-`tau_d')*(1 + exp(dif_Vcbdc_Vd_${base}/`tau_d'))^(-`tau_d')*exp(dif_Vcbdc_Vd_${base}/`tau_d')*(z${num}_${base}/`tau_d')*exp(-xb) + factor_${base}*exp(-xb)*(-${x}) + exp(dif_Vcbdc_Vd_${base}/`tau_d')*(z${num}_${base}/`tau_d'))/(1 + factor_${base}*exp(-xb) + exp(dif_Vcbdc_Vd_${base}/`tau_d'))^2))*wealth_frac if sample == 1 
		
		//////percentage change in level
		//derivative of each household's CBDC share under baseline design wrt each coefficient b_${num} multiplied by wealth fraction w_i/w
		//same as db${num}_as_CBDC above except that ${iter} is replaced by ${base}
		qui gen double db${num}_as_CBDC_base = (exp(dif_Vcbdc_Vd_${base}/`tau_d')*(z${num}_${base}/`tau_d')/(1 + factor_${base}*exp(-xb) + exp(dif_Vcbdc_Vd_${base}/`tau_d')) - exp(dif_Vcbdc_Vd_${base}/`tau_d')*((1-`tau_d')*(1 + exp(dif_Vcbdc_Vd_${base}/`tau_d'))^(-`tau_d')*exp(dif_Vcbdc_Vd_${base}/`tau_d')*(z${num}_${base}/`tau_d')*exp(-xb) + factor_${base}*exp(-xb)*(-${x}) + exp(dif_Vcbdc_Vd_${base}/`tau_d')*(z${num}_${base}/`tau_d'))/(1 + factor_${base}*exp(-xb) + exp(dif_Vcbdc_Vd_${base}/`tau_d'))^2)*wealth_frac if sample == 1 
		
		//derivative of each household's cash share under baseline design wrt each coefficient b_${num} multiplied by wealth fraction w_i/w
		//same as db${num}_as_cash above except that ${iter} is replaced by ${base}
		qui gen double db${num}_as_cash_base = (((1-`tau_d')*(1 + exp(dif_Vcbdc_Vd_${base}/`tau_d'))^(-`tau_d')*exp(dif_Vcbdc_Vd_${base}/`tau_d')*(z${num}_${base}/`tau_d')*exp(-xb) + factor_${base}*exp(-xb)*(-${x}))/(1 + factor_${base}*exp(-xb) + exp(dif_Vcbdc_Vd_${base}/`tau_d')) - factor_${base}*exp(-xb)*((1-`tau_d')*(1 + exp(dif_Vcbdc_Vd_${base}/`tau_d'))^(-`tau_d')*exp(dif_Vcbdc_Vd_${base}/`tau_d')*(z${num}_${base}/`tau_d')*exp(-xb) + factor_${base}*exp(-xb)*(-${x}) + exp(dif_Vcbdc_Vd_${base}/`tau_d')*(z${num}_${base}/`tau_d'))/(1 + factor_${base}*exp(-xb) + exp(dif_Vcbdc_Vd_${base}/`tau_d'))^2)*wealth_frac if sample == 1 
		
		//derivative of each household's CBDC deposit under baseline design wrt each coefficient b_${num} multiplied by wealth fraction w_i/w
		//same as db${num}_as_dep above except that ${iter} is replaced by ${base}
		qui gen double db${num}_as_dep_base = (- ((1-`tau_d')*(1 + exp(dif_Vcbdc_Vd_${base}/`tau_d'))^(-`tau_d')*exp(dif_Vcbdc_Vd_${base}/`tau_d')*(z${num}_${base}/`tau_d')*exp(-xb) + factor_${base}*exp(-xb)*(-${x}) + exp(dif_Vcbdc_Vd_${base}/`tau_d')*(z${num}_${base}/`tau_d'))/(1 + factor_${base}*exp(-xb) + exp(dif_Vcbdc_Vd_${base}/`tau_d'))^2)*wealth_frac if sample == 1 
		
		
		
	}
				
		//under nested logit, assume CBDC and cash are in one nest
	if "`model'" ==  "nest_c_cbdc" {
		
		local tau_c = $tau
		
		////////////shares 
		//derivative of each household's CBDC share wrt each coefficient b_$num multiplied by wealth fraction w_i/w
		qui gen double db${num}_as_CBDC = (exp(dif_Vcbdc_Vc_${iter}/`tau_c')*(z${num}_${iter}/`tau_c')/(1 + factor_${iter}*exp(xb) + exp(dif_Vcbdc_Vc_${iter}/`tau_c')) - exp(dif_Vcbdc_Vc_${iter}/`tau_c')*((1-`tau_c')*(1 + exp(dif_Vcbdc_Vc_${iter}/`tau_c'))^(-`tau_c')*exp(dif_Vcbdc_Vc_${iter}/`tau_c')*(z${num}_${iter}/`tau_c')*exp(xb) + factor_${iter}*exp(xb)*(${x}) + exp(dif_Vcbdc_Vc_${iter}/`tau_c')*(z${num}_${iter}/`tau_c'))/(1 + factor_${iter}*exp(xb) + exp(dif_Vcbdc_Vc_${iter}/`tau_c'))^2)*wealth_frac if sample == 1 
		
		//derivative of each household's new deposit share wrt each coefficient b_${num} multiplied by wealth fraction w_i/w
		qui gen double db${num}_as_dep = (((1-`tau_c')*(1 + exp(dif_Vcbdc_Vc_${iter}/`tau_c'))^(-`tau_c')*exp(dif_Vcbdc_Vc_${iter}/`tau_c')*(z${num}_${iter}/`tau_c')*exp(xb) + factor_${iter}*exp(xb)*(${x}))/(1 + factor_${iter}*exp(xb) + exp(dif_Vcbdc_Vc_${iter}/`tau_c')) - factor_${iter}*exp(xb)*((1-`tau_c')*(1 + exp(dif_Vcbdc_Vc_${iter}/`tau_c'))^(-`tau_c')*exp(dif_Vcbdc_Vc_${iter}/`tau_c')*(z${num}_${iter}/`tau_c')*exp(xb) + factor_${iter}*exp(xb)*(${x}) + exp(dif_Vcbdc_Vc_${iter}/`tau_c')*(z${num}_${iter}/`tau_c'))/(1 + factor_${iter}*exp(xb) + exp(dif_Vcbdc_Vc_${iter}/`tau_c'))^2)*wealth_frac if sample == 1 
		
		//derivative of each household's new cash share wrt each coefficient b_${num} multiplied by wealth fraction w_i/w
		qui gen double db${num}_as_cash = (- ((1-`tau_c')*(1 + exp(dif_Vcbdc_Vc_${iter}/`tau_c'))^(-`tau_c')*exp(dif_Vcbdc_Vc_${iter}/`tau_c')*(z${num}_${iter}/`tau_c')*exp(xb) + factor_${iter}*exp(xb)*(${x}) + exp(dif_Vcbdc_Vc_${iter}/`tau_c')*(z${num}_${iter}/`tau_c'))/(1 + factor_${iter}*exp(xb) + exp(dif_Vcbdc_Vc_${iter}/`tau_c'))^2)*wealth_frac if sample == 1 
								
								
		///////////percentage change in deposit or cash 
		//derivative of each household's change in deposit relative to deposit before CBDC issuance wrt the coefficient b_${num} multiplied by 100 to get percentage terms
		qui gen double db${num}_d_dep = (((1 + exp(xb))*(1-`tau_c')*(1 + exp(dif_Vcbdc_Vc_${iter}/`tau_c'))^(-`tau_c')*exp(dif_Vcbdc_Vc_${iter}/`tau_c')*(z${num}_${iter}/`tau_c') + factor_${iter}*exp(xb)*(${x}))/(1 + factor_${iter}*exp(xb) + exp(dif_Vcbdc_Vc_${iter}/`tau_c')) - factor_${iter}*(1 + exp(xb))*((1-`tau_c')*(1 + exp(dif_Vcbdc_Vc_${iter}/`tau_c'))^(-`tau_c')*exp(dif_Vcbdc_Vc_${iter}/`tau_c')*(z${num}_${iter}/`tau_c')*exp(xb) + factor_${iter}*exp(xb)*(${x}) + exp(dif_Vcbdc_Vc_${iter}/`tau_c')*(z${num}_${iter}/`tau_c'))/(1 + factor_${iter}*exp(xb) + exp(dif_Vcbdc_Vc_${iter}/`tau_c'))^2)*100 if sample == 1 
		
		//derivative of each household's change in cash relative to cash before CBDC issuance wrt the coefficient b_${num} multiplied by 100 to get percentage terms
		qui gen double db${num}_d_cash = (exp(xb)*(${x})/(1 + factor_${iter}*exp(xb) + exp(dif_Vcbdc_Vc_${iter}/`tau_c'))  - (1 + exp(xb))*((1-`tau_c')*(1 + exp(dif_Vcbdc_Vc_${iter}/`tau_c'))^(-`tau_c')*exp(dif_Vcbdc_Vc_${iter}/`tau_c')*(z${num}_${iter}/`tau_c')*exp(xb) + factor_${iter}*exp(xb)*(${x}) + exp(dif_Vcbdc_Vc_${iter}/`tau_c')*(z${num}_${iter}/`tau_c'))/(1 + factor_${iter}*exp(xb) + exp(dif_Vcbdc_Vc_${iter}/`tau_c'))^2)*100    if sample == 1 
		
		
		////////////percentage point change in level  - not used in paper
		qui gen double db${num}_dl_CBDC = ((exp(dif_Vcbdc_Vc_${iter}/`tau_c')*(z${num}_${iter}/`tau_c')/(1 + factor_${iter}*exp(xb) + exp(dif_Vcbdc_Vc_${iter}/`tau_c')) - exp(dif_Vcbdc_Vc_${iter}/`tau_c')*((1-`tau_c')*(1 + exp(dif_Vcbdc_Vc_${iter}/`tau_c'))^(-`tau_c')*exp(dif_Vcbdc_Vc_${iter}/`tau_c')*(z${num}_${iter}/`tau_c')*exp(xb) + factor_${iter}*exp(xb)*(${x}) + exp(dif_Vcbdc_Vc_${iter}/`tau_c')*(z${num}_${iter}/`tau_c'))/(1 + factor_${iter}*exp(xb) + exp(dif_Vcbdc_Vc_${iter}/`tau_c'))^2)- (exp(dif_Vcbdc_Vc_${base}/`tau_c')*(z${num}_${base}/`tau_c')/(1 + factor_${base}*exp(xb) + exp(dif_Vcbdc_Vc_${base}/`tau_c')) - exp(dif_Vcbdc_Vc_${base}/`tau_c')*((1-`tau_c')*(1 + exp(dif_Vcbdc_Vc_${base}/`tau_c'))^(-`tau_c')*exp(dif_Vcbdc_Vc_${base}/`tau_c')*(z${num}_${base}/`tau_c')*exp(xb) + factor_${base}*exp(xb)*(${x}) + exp(dif_Vcbdc_Vc_${base}/`tau_c')*(z${num}_${base}/`tau_c'))/(1 + factor_${base}*exp(xb) + exp(dif_Vcbdc_Vc_${base}/`tau_c'))^2))*wealth_frac if sample == 1 
		
		qui gen double db${num}_dl_dep =  ((((1-`tau_c')*(1 + exp(dif_Vcbdc_Vc_${iter}/`tau_c'))^(-`tau_c')*exp(dif_Vcbdc_Vc_${iter}/`tau_c')*(z${num}_${iter}/`tau_c')*exp(xb) + factor_${iter}*exp(xb)*(${x}))/(1 + factor_${iter}*exp(xb) + exp(dif_Vcbdc_Vc_${iter}/`tau_c')) - factor_${iter}*exp(xb)*((1-`tau_c')*(1 + exp(dif_Vcbdc_Vc_${iter}/`tau_c'))^(-`tau_c')*exp(dif_Vcbdc_Vc_${iter}/`tau_c')*(z${num}_${iter}/`tau_c')*exp(xb) + factor_${iter}*exp(xb)*(${x}) + exp(dif_Vcbdc_Vc_${iter}/`tau_c')*(z${num}_${iter}/`tau_c'))/(1 + factor_${iter}*exp(xb) + exp(dif_Vcbdc_Vc_${iter}/`tau_c'))^2) - (((1-`tau_c')*(1 + exp(dif_Vcbdc_Vc_${base}/`tau_c'))^(-`tau_c')*exp(dif_Vcbdc_Vc_${base}/`tau_c')*(z${num}_${base}/`tau_c')*exp(xb) + factor_${base}*exp(xb)*(${x}))/(1 + factor_${base}*exp(xb) + exp(dif_Vcbdc_Vc_${base}/`tau_c')) - factor_${base}*exp(xb)*((1-`tau_c')*(1 + exp(dif_Vcbdc_Vc_${base}/`tau_c'))^(-`tau_c')*exp(dif_Vcbdc_Vc_${base}/`tau_c')*(z${num}_${base}/`tau_c')*exp(xb) + factor_${base}*exp(xb)*(${x}) + exp(dif_Vcbdc_Vc_${base}/`tau_c')*(z${num}_${base}/`tau_c'))/(1 + factor_${base}*exp(xb) + exp(dif_Vcbdc_Vc_${base}/`tau_c'))^2) )*wealth_frac if sample == 1 
		
		qui gen double db${num}_dl_cash = ((- ((1-`tau_c')*(1 + exp(dif_Vcbdc_Vc_${iter}/`tau_c'))^(-`tau_c')*exp(dif_Vcbdc_Vc_${iter}/`tau_c')*(z${num}_${iter}/`tau_c')*exp(xb) + factor_${iter}*exp(xb)*(${x}) + exp(dif_Vcbdc_Vc_${iter}/`tau_c')*(z${num}_${iter}/`tau_c'))/(1 + factor_${iter}*exp(xb) + exp(dif_Vcbdc_Vc_${iter}/`tau_c'))^2) -  (- ((1-`tau_c')*(1 + exp(dif_Vcbdc_Vc_${base}/`tau_c'))^(-`tau_c')*exp(dif_Vcbdc_Vc_${base}/`tau_c')*(z${num}_${base}/`tau_c')*exp(xb) + factor_${base}*exp(xb)*(${x}) + exp(dif_Vcbdc_Vc_${base}/`tau_c')*(z${num}_${base}/`tau_c'))/(1 + factor_${base}*exp(xb) + exp(dif_Vcbdc_Vc_${base}/`tau_c'))^2) )*wealth_frac if sample == 1 
		
		
		//////////percentage change in level   
		//derivative of each household's CBDC share under baseline design wrt each coefficient b_$num multiplied by wealth fraction w_i/w
		//same as db$num_as_CBDC above except that $iter is replaced by ${base}
		qui gen double db${num}_as_CBDC_base = (exp(dif_Vcbdc_Vc_${base}/`tau_c')*(z${num}_${base}/`tau_c')/(1 + factor_${base}*exp(xb) + exp(dif_Vcbdc_Vc_${base}/`tau_c')) - exp(dif_Vcbdc_Vc_${base}/`tau_c')*((1-`tau_c')*(1 + exp(dif_Vcbdc_Vc_${base}/`tau_c'))^(-`tau_c')*exp(dif_Vcbdc_Vc_${base}/`tau_c')*(z${num}_${base}/`tau_c')*exp(xb) + factor_${base}*exp(xb)*(${x}) + exp(dif_Vcbdc_Vc_${base}/`tau_c')*(z${num}_${base}/`tau_c'))/(1 + factor_${base}*exp(xb) + exp(dif_Vcbdc_Vc_${base}/`tau_c'))^2)*wealth_frac if sample == 1 
		
		//derivative of each household's deposit share under baseline design wrt each coefficient b_$num multiplied by wealth fraction w_i/w
		//same as db$num_as_dep above except that $iter is replaced by ${base}
		qui gen double db${num}_as_dep_base = (((1-`tau_c')*(1 + exp(dif_Vcbdc_Vc_${base}/`tau_c'))^(-`tau_c')*exp(dif_Vcbdc_Vc_${base}/`tau_c')*(z${num}_${base}/`tau_c')*exp(xb) + factor_${base}*exp(xb)*(${x}))/(1 + factor_${base}*exp(xb) + exp(dif_Vcbdc_Vc_${base}/`tau_c')) - factor_${base}*exp(xb)*((1-`tau_c')*(1 + exp(dif_Vcbdc_Vc_${base}/`tau_c'))^(-`tau_c')*exp(dif_Vcbdc_Vc_${base}/`tau_c')*(z${num}_${base}/`tau_c')*exp(xb) + factor_${base}*exp(xb)*(${x}) + exp(dif_Vcbdc_Vc_${base}/`tau_c')*(z${num}_${base}/`tau_c'))/(1 + factor_${base}*exp(xb) + exp(dif_Vcbdc_Vc_${base}/`tau_c'))^2)*wealth_frac if sample == 1 
		
		//derivative of each household's cash share under baseline design wrt each coefficient b_$num multiplied by wealth fraction w_i/w
		//same as db$num_as_cash above except that $iter is replaced by ${base}
		qui gen double db${num}_as_cash_base = (- ((1-`tau_c')*(1 + exp(dif_Vcbdc_Vc_${base}/`tau_c'))^(-`tau_c')*exp(dif_Vcbdc_Vc_${base}/`tau_c')*(z${num}_${base}/`tau_c')*exp(xb) + factor_${base}*exp(xb)*(${x}) + exp(dif_Vcbdc_Vc_${base}/`tau_c')*(z${num}_${base}/`tau_c'))/(1 + factor_${base}*exp(xb) + exp(dif_Vcbdc_Vc_${base}/`tau_c'))^2)*wealth_frac if sample == 1 

	}		
	
				
end				
				

				
				
				
				
				
				
				
				
				
				